package com.steering.mes.zgmil.entity;




/**
 * 数据库表MIL_QA_RACK所对应的实体类（生成工具：代码生成器3.0）
 * @author PC201506012023   date 2015-09-14
 */
public class MilQaRackEntity implements java.io.Serializable {
	  private static final long serialVersionUID = 1L;
	  
    /**
     * 材料号
     */
    private String matNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 钢级代码
     */
    private String steelcode = "";
    /**
     * 钢级名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 状态(0-正常轧制 1-剔除 )
     */
    private String status = "";
    /**
     * 抽检标识
     */
    private String qaFlag = "";
    /**
     * 剔废原因
     */
    private String scrapReason = "";
    /**
     * 开始时间
     */
    private String startTime = "";
    /**
     * 结束时间
     */
    private String endTime = "";
    /**
     * 下线标识(0-未下线 1-下线)
     */
    private String offlineFlag = "";
    /**
     * 下线时间
     */
    private String offlineTime = "";
    /**
     * 跟队标识(0-未跟队 1-跟队)
     */
    private String followFlag = "";
    /**
     * 跟队炉号
     */
    private String followHeatNo = "";
    /**
     * 跟队时间
     */
    private String followTime = "";
    /**
     * 组炉标识(0,未组炉 1-组炉)
     */
    private String groupFlag = "";
    /**
     * 组炉前炉号
     */
    private String beforeHeatNo = "";
    /**
     * 组炉前物料号
     */
    private String beforeMatNo = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 管序号
     */
    private String seq = "";
    private String resultNo="";
    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态(0-正常轧制 1-剔除 )
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(0-正常轧制 1-剔除 )
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 抽检标识
     * @return value
     */
    public String getQaFlag() {
        return qaFlag;
    }

    /**
     * 抽检标识
     * @param qaFlag value
     */
    public void setQaFlag(String qaFlag) {
        this.qaFlag = qaFlag;
    }

    /**
     * 剔废原因
     * @return value
     */
    public String getScrapReason() {
        return scrapReason;
    }

    /**
     * 剔废原因
     * @param scrapReason value
     */
    public void setScrapReason(String scrapReason) {
        this.scrapReason = scrapReason;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 下线标识(0-未下线 1-下线)
     * @return value
     */
    public String getOfflineFlag() {
        return offlineFlag;
    }

    /**
     * 下线标识(0-未下线 1-下线)
     * @param offlineFlag value
     */
    public void setOfflineFlag(String offlineFlag) {
        this.offlineFlag = offlineFlag;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineTime() {
        return offlineTime;
    }

    /**
     * 下线时间
     * @param offlineTime value
     */
    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @return value
     */
    public String getFollowFlag() {
        return followFlag;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @param followFlag value
     */
    public void setFollowFlag(String followFlag) {
        this.followFlag = followFlag;
    }

    /**
     * 跟队炉号
     * @return value
     */
    public String getFollowHeatNo() {
        return followHeatNo;
    }

    /**
     * 跟队炉号
     * @param followHeatNo value
     */
    public void setFollowHeatNo(String followHeatNo) {
        this.followHeatNo = followHeatNo;
    }

    /**
     * 跟队时间
     * @return value
     */
    public String getFollowTime() {
        return followTime;
    }

    /**
     * 跟队时间
     * @param followTime value
     */
    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getBeforeHeatNo() {
        return beforeHeatNo;
    }

    /**
     * 组炉前炉号
     * @param beforeHeatNo value
     */
    public void setBeforeHeatNo(String beforeHeatNo) {
        this.beforeHeatNo = beforeHeatNo;
    }

    /**
     * 组炉前物料号
     * @return value
     */
    public String getBeforeMatNo() {
        return beforeMatNo;
    }

    /**
     * 组炉前物料号
     * @param beforeMatNo value
     */
    public void setBeforeMatNo(String beforeMatNo) {
        this.beforeMatNo = beforeMatNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    /**
     * 管序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 管序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }
}
